'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('colors');

var _utils = require('../utils');

exports.default = function (abletonObj) {
  var errors = [];
  var mixLabel = '(Mix)';
  var scLabel = '(SC)';
  var mixTrack = (0, _utils.findTrackByName)(abletonObj, mixLabel);
  var scTrack = (0, _utils.findTrackByName)(abletonObj, scLabel);
  var allButThoseTracks = (0, _utils.getAllTracks)(abletonObj).filter(function (track) {
    return track.Name.EffectiveName.Value !== mixLabel && track.Name.EffectiveName.Value !== scLabel;
  });
  if (mixTrack && scTrack) {
    allButThoseTracks.forEach(function (track) {
      if (track.DeviceChain.AudioOutputRouting.Target.Value !== 'AudioOut/Track.' + mixTrack.$.Id + '/TrackIn' && track.DeviceChain.AudioOutputRouting.Target.Value !== 'AudioOut/Track.' + scTrack.$.Id + '/TrackIn' && track.TrackGroupId.Value === '-1' && !(0, _utils.isExceptionTrack)(track)) {
        // flow-disable-next-line
        errors.push('Set track ' + track.Name.EffectiveName.Value.green + '\'s audio output to ' + mixLabel.green + ' or ' + scLabel.green);
      }
    });
  }
  return errors;
};